USERADD(8)

NOM
useradd - Créer un nouvel utilisateur ou mettre à jour l'information par défaut sur un nouvel utilisateur

SYNOPSIS

useradd
    [-c commentaire] [-d rép_perso]
    [-e date_expiration] [-f inactive_time]
    [-g groupe_initial] [-G groupe[,...]]
    [-m [-k rép_squelette] | -M] [-p mot_de_passe]
    [-s shell] [-u uid [ -o]] [-n] [-r] login

useradd
    -D [-g groupe_défaut] [-b rép_perso_défaut]
    [-f inactivité] [-e date_expiration_défaut]
    [-s shell_défaut]

DESCRIPTION

  Création de nouveaux utilisateurs
Quand elle est invoquée sans l'option -D, la commande useradd crée un nouveau compte utilisateur qui utilise les valeurs spécifiées sur la ligne de commandes, et les valeurs par défaut du système. Le nouveau compte utilisateur sera inséré dans les fichiers du système quand c'est nécessaire, le répertoire personnel sera créé, et les fichiers initiaux copiés, cela dépendant des options présentes en ligne de commandes. La version fournie avec Red Hat Linux crée un groupe pour chaque utilisateur ajouté au système, à moins que l'option -n ne soit fournie. Les options qui s'appliquent à la commande useradd sont : é.

-c commentaire
    Le champ de commentaire du fichier de mots de passe du nouvel utilisateur.

-d rép_perso
    Le nouvel utilisateur sera créé en utilisant rép_perso comme valeur du répertoire de connexion de l'utilisateur. Le comportement par défaut est de concaténer le nom de login au rép_perso_défaut, et de l'utiliser en tant que nom de répertoire de connexion.

-e date_expiration
    La date à laquelle le compte de l'utilisateur sera désactivé. La date est spécifiée dans le format AAAA-MM-JJ.

-f jours_inactifs
    Le nombre de jours suivant l'expiration d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a expiré, et une valeur de -1 désactive cette caractéristique. La valeur par défaut est de -1.

-g groupe_initial
    Le nom du groupe ou le numéro du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe préexistant. Le numéro de groupe par défaut est de 1.

-G groupe,[...]
    Une liste de groupes supplémentaires auxquels fait également partie l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre les deux. Les groupes sont soumis aux mêmes restrictions que celui donné avec l'option -g. Le comportement par défaut pour l'utilisateur est de n'appartenir qu'au groupe initial.

-m  Le répertoire personnel de l'utilisateur sera créé s'il n'existe pas déjà. Les fichiers contenus dans rép_squelette seront copiés dans le répertoire personnel si l'option -k est employée; sinon, les fichiers contenus dans rép_squelette seront utilisés à la place. Tous les répertoires contenus dans rép_squelette ou dans /etc/skel seront également créés dans le répertoire personnel de l'utilisateur. L'option -k n'est valide qu'en conjonction avec l'option -m. Le comportement par défaut est de ne pas créer le répertoire, et de ne copier aucun fichier.

-M  Le répertoire personnel de l'utilisateur ne sera pas créé, même si les réglages globaux au système présents dans /etc/login.defs consistent en la création de répertoires personnels.

-n  Un groupe de même nom que l'utilisateur ajouté au système sera créé par défaut. Cette option désactivera ce comportement spécifique de Red Hat Linux.

-r  Cette option est utilisée pour créer un compte système, çàd un utilisateur avec un UID plus petit que la valeur de UID_MIN définie dans /etc/login.defs. Notez que useradd ne créera pas de répertoire personnel pour un tel utilisateur, et ce quel que soit le réglage par défaut présent dans /etc/login.defs. Vous devez spécifier l'option -m si vous désirez la création d'un répertoire personnel pour un tel utilisateur. C'est une option ajoutée par Red Hat.

-p mot_de_passe
    Le mot de passe crypté, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le compte.

-s shell
    Le nom du shell de connexion de l'utilisateur. Le comportement par défaut est de laisser ce compte vide, ce qui fait sélectionner au système le shell de connexion par défaut.

-u uid
    La valeur numérique de l'ID de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur doit être non négative. Le comportement par défaut est d'utiliser la plus petite valeur d'ID plus grande que 999, et plus grande que celle de n'importe quel autre utilisateur. Les valeurs comprises entre 0 et 499 sont typiquement réservées pour les comptes systèmes.

  Modifier les valeurs par défaut.
Quand il est invoqué avec l'option -D, useradd soit affichera les valeurs actuelles par défaut, soit mettra à jour les valeurs par défaut via la ligne de commandes. Les options valides sont

-b rép_perso
    Le préfixe de chemin initial pour un nouveau répertoire personnel d'utilisateur. Le nom de l'utilisateur sera suffixé à la fin de rép_perso pour créer le nom du nouveau répertoire si l'option -d n'est pas utilisée pendant la création d'un nouveau compte.

-e date_expiration_défaut
    La date à laquelle le compte utilisateur sera désactivé.

-f inactivité
    Le nombre de jours après l'expiration d'un mot de passe avant que le compte ne soit désactivé.

-g groupe_défaut
    Le nom de groupe ou l'ID du groupe initial d'un nouvel utilisateur. Le groupe nommé doit exister, et un ID de groupe numérique doit déjà exister en tant qu'ID de groupe.

-s shell_défaut
    Le nom du shell de connexion d'un nouvel utilisateur. Le programme nommé sera utilisé pour tous les futurs nouveaux comptes.

Si aucune option n'est spécifiée, useradd affichera les valeurs par défaut du moment.

NOTES
L'administrateur système est responsable du placement des fichiers d'utilisateur par défaut dans le répertoire /etc/skel.
Cette version de useradd a été modifiée par Red Hat pour se conformer à la convention utilisateur/groupe de RedHat.

INCONVÉNIENTS
Vous ne pouvez pas ajouter d'utilisateur à un groupe NIS. Cela doit être effectué sur le serveur NIS.

FICHIERS
/etc/passwd - information sur les comptes utilisateurs
/etc/shadow - information sécurisée sur les comptes utilisateurs
/etc/group - information de groupes
/etc/default/useradd - information par défaut
/etc/login.defs - réglages globaux du système
/etc/skel - répertoire contenant les fichiers utilisés par défaut

VOIR AUSSI
chfn(1), chsh(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), passwd(1), userdel(8), usermod(8)

AUTEUR
Julianne Frances Haugh (jfh@bga.com)

TRADUCTION
Frédéric Delanoy, 2000.